package com.iformall.mapper;

import java.util.*;
import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxCardSpend;
import com.iformall.domain.vo.WxCardSpendVo;

public interface WxCardSpendMapper extends CommonMapper<WxCardSpend, Long> {

	List<WxCardSpend> findList(WxCardSpend wxCardSpend);

	void updateByCond(WxCardSpend wxCardSpend);

    int findCount(WxCardSpend wxCardSpend);

	List<Map<String,Object>> getCountByBusinessId(WxCardSpend wxCardSpend);
	List<Map<String,Object>> getCountBySubBusinessId(WxCardSpend wxCardSpend);

	List<WxCardSpendVo> findCardSpendVoList(WxCardSpendVo wxCardSpend);

	List<Map<String,Object>> sumCardSpendVoForMerchant(WxCardSpendVo wxCardSpend);

	List<Map<String,Object>> sumCardSpendVoForOwner(WxCardSpendVo wxCardSpend);

	/**
	 * POS
	 */
	int deleteForPrevCancel(WxCardSpend record);
	
	
}
